API Docs
YMS API
Order Controller
POST Search by Paging

POST searchByPaging

Introduction

Search for orders with pagination support. Returns results in pages, allowing you to specify page number and page size. Ideal for large result sets and UI table displays.

API Request

POST /order/search-by-paging

Body Request Parameters

{
  "currentPage": 0,
  "pageSize": 0,
  "sortingFields": [
    {
      "field": "string",
      "orderBy": "NONE"
    }
  ],
  "orderId": "string",
  "orderIds": [
    "string"
  ],
  "orderStatus": "string",
  "orderStatuses": [
    "string"
  ],
  "customerId": "string",
  "customerIds": [
    "string"
  ],
  "poNo": "string",
  "referenceNo": "string",
  "referenceNoLike": "string",
  "retailer": "string",
  "shippedTimePeriod": [
    "string"
  ],
  "keyword": "string",
  "loadNos": [
    "string"
  ],
  "loadNo": "string",
  "orPoNo": "string",
  "orLoadNo": "string",
  "orReferenceNo": "string",
  "orBolNo": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyOrderQuery (opens in a new tab)Nonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "list": [
      {
        "id": 0,
        "orderId": "",
        "orderStatus": "",
        "customerId": "",
        "poNo": "",
        "referenceNo": "",
        "retailer": "",
        "shipFrom": "",
        "shipTo": "",
        "totalPalletQty": 0,
        "totalCartonQty": 0,
        "itemInfos": [
          {
            "itemId": "",
            "itemName": "",
            "itemQty": "",
            "palletQty": "",
            "itemSpecDesc": "",
            "itemSpecName": "",
            "uomId": "",
            "qty": ""
          }
        ],
        "customerName": "",
        "carrierName": "",
        "shipToAddress": {
          "id": "",
          "name": "",
          "country": "",
          "state": "",
          "city": "",
          "zipCode": "",
          "fax": "",
          "address1": "",
          "address2": "",
          "contact": "",
          "phone": "",
          "extension": "",
          "email": "",
          "orgId": "",
          "orgName": "",
          "referenceNo": "",
          "batchCode": "",
          "storeNo": "",
          "shorthand": "",
          "toHome": false,
          "tags": [
            ""
          ],
          "latitude": "",
          "longitude": "",
          "crmAddressId": ""
        },
        "shipFromAddress": {
          "id": "",
          "name": "",
          "country": "",
          "state": "",
          "city": "",
          "zipCode": "",
          "fax": "",
          "address1": "",
          "address2": "",
          "contact": "",
          "phone": "",
          "extension": "",
          "email": "",
          "orgId": "",
          "orgName": "",
          "referenceNo": "",
          "batchCode": "",
          "storeNo": "",
          "shorthand": "",
          "toHome": false,
          "tags": [
            ""
          ],
          "latitude": "",
          "longitude": "",
          "crmAddressId": ""
        },
        "appointmentTime": "",
        "dynamicFieldValues": [
          {
            "entityId": "",
            "entityType": "",
            "fieldCode": "",
            "value": "",
            "fieldName": "",
            "longValue": "",
            "shortValue": ""
          }
        ],
        "proNos": [
          ""
        ],
        "invoicePros": [
          ""
        ],
        "doNos": [
          ""
        ],
        "tripNo": "",
        "shippedTime": ""
      }
    ],
    "totalCount": 0,
    "currentPage": 0,
    "pageSize": 0,
    "totalPage": 0
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRPageResultOrderView (opens in a new tab)